#! /bin/bash

#Written by: Konrad Hammel
#script to download and copy over new ss7boxd file"
#
# 0.1 - initial version
#
VER=0.1
RET=0
URL=$1

#check that the url arg was entered
if [ "$URL" == ""  ]; then
	echo ""
	echo "ERROR: No URL entered"
	echo ""
	echo ""
	echo "DESCRITPION:"
	echo ""
	echo "script to download and copy over the new ss7boxd binary"
	echo "version: $VER"
	echo ""
	echo "USUAGE:"
	echo ""
	echo "./get-ss7boxd.sh <url of ss7boxd download>"
	echo ""
	exit 1
else
	echo ""
	echo "Downloading ss7boxd : $1"
	echo ""
fi	

#remove any existing downloaded ss7boxds
eval "rm -f ss7boxd-*"

#download the new ss7boxd and check if it dowloaded properly
eval "wget $1"
RET=$?

if [ $RET -eq 4  ]; then
	echo ""
	echo "ss7boxd download failed due to network error...$RET"
	echo "please fix the network error and try again"
	echo ""
	exit 1
elif [ $RET -eq 8  ]; then
	echo ""
	echo "ss7boxd download failed due to Sangoma server error...$RET"
	echo "please contact Sangoma and report this error"
	echo "send an email to techdesk@sangoma.com"
	echo ""
	exit 1
elif [ $RET -ne 0 ]; then
	echo ""
	echo "ss7boxd download failed due to generic error...$RET"
        echo "please contact Sangoma and report this error"
        echo "send an email to techdesk@sangoma.com"
        echo ""
        exit 1
else
        echo ""
        echo "ss7boxd downloaded successfully!"
        echo ""
fi

#copy over the new ss7boxd over the old one
eval "cp -f ss7boxd-* ss7boxd"
RET=$?

if [ $RET -ne 0 ]; then
	echo ""
	echo "replacing the existing ss7boxd failed"
	echo "please contact Sangoma and report this error"
	echo ""
	exit 1
else
	echo ""
        echo "new ss7boxd copied successfully!"
        echo ""
fi

echo ""
echo "new ss7boxd downloaded and installed successfully"
echo "please continue with the installation by running:"
echo "for Asterisk: ./smginstall install"
echo "for FreeSWITCH: ./smginstall freeswitch"
echo ""



